
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2113

BD Check review deficiency (future information request)

08/24/2016 04:19 AM - Oleksii Kurasov

Status: Closed Start date: 08/24/2016

Priority: Immediate Due date: 08/25/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

seems as comment doesn't go to letter. See to Attachment

History

#1 - 08/30/2016 02:20 AM - Oleksii Kurasov

- Status changed from New to In Progress

N

#2 - 09/02/2016 02:54 AM - Oleksii Kurasov

- Status changed from In Progress to Closed
